import {__decorate,__param,__metadata}from'tslib';import {BulkDataLoader}from'@common-stack/store-mongo';import {injectable,inject}from'inversify';import {TYPES}from'../constants/types.js';let StateDataLoader = class StateDataLoader extends BulkDataLoader {
    constructor(service) {
        super(service);
    }
};
StateDataLoader = __decorate([
    injectable(),
    __param(0, inject(TYPES.StateService)),
    __metadata("design:paramtypes", [Object])
], StateDataLoader);export{StateDataLoader};